Subject: Alpine System backups/upgrades

From: Matthew Knill <[email-masked]>
Date: Mon, 11 Jul 2022 01:57:48 +0000

We are looking to use Alpine for 100+ Asterisk systems and are looking for ways in which to perform system backups and upgrades.

I believe it to be best that we do the `sys` disk mode for our use case, however, I do have a few questions on how/if we can use `lbu commit`:

  1.  Can this be used when using the `sys` disk mode?
  2.  It's my understanding that it requires another drive (such as a USB stick) to be mounted for the backup and restore. I have also noticed that it's possible to backup a remote host with `ssh root@client "lbu package -" >client.apkovl.tar.gz`, though, how would we best go about restoring because many of our systems will be built on VMs? Or could we maybe partition the drive and then mount the partition for the backup?

With regards to packages, we are a bit concerned about the in-place upgrades on the repository and would like to maintain package consistency. While it's understood that we can make packages "sticky", would it be best that we simply create our own repository that contains all the packages we need to ensure that all systems have identical package versions.

As an aside, we are also looking for premium paid support for Alpine and whether that can be offered somehow...

Regards,
Matthew Knill